import * as Joi from 'joi';
export interface Response {
    status: number;
    message?: string;
    data?: Object;
}
export declare const ResponseSchema: {
    status: Joi.NumberSchema;
    message: Joi.StringSchema;
    data: Joi.ObjectSchema;
};
export declare function validateResponse(json: any): Response;
export declare function validateResponseWithSchema<T>(dataSchema: Joi.SchemaMap, json: any): T;
